Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class SetValidatedValueTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.SetValidatedValueTag

public class SetValidatedValueTag
extends javax.servlet.jsp.tagext.TagSupport

JSP Tag implementation for reporting which fields were valid or invalid when processing an HTML form embedded in a JSP page.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `fieldName`
`java.lang.String` | `fieldStatus`
`java.lang.String` | `fieldValue`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`SetValidatedValueTag()`

Method Summary
`int` | `doStartTag()` Look up the value and status in the http session and return them.
`java.lang.String` | `getFieldName()` Get the value of query.
`java.lang.String` | `getFieldStatus()` Get the status of form field
`java.lang.String` | `getFieldValue()` Get the value of query.
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()`
`void` | `release()` Release this tag.
`void` | `setFieldName(java.lang.String fieldName)` Set the value of query.
`void` | `setFieldStatus(java.lang.String fieldStatus)` Set the status of query.
`void` | `setFieldValue(java.lang.String fieldValue)` Set the value of query.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fieldName

    public java.lang.String fieldName

### fieldValue

    public java.lang.String fieldValue

### fieldStatus

    public java.lang.String fieldStatus

Constructor Detail

### SetValidatedValueTag

    public SetValidatedValueTag()

Method Detail

### release

    public void release()

  Release this tag.

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Look up the value and status in the http session and return them.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getFieldName

    public java.lang.String getFieldName()

  Get the value of query.

  Returns:
    Value of query.

### setFieldName

    public void setFieldName(java.lang.String fieldName)

  Set the value of query.

  Parameters:
    `fieldName` - Value to assign to query.

### getFieldValue

    public java.lang.String getFieldValue()

  Get the value of query.

  Returns:
    Value of query.

### setFieldValue

    public void setFieldValue(java.lang.String fieldValue)

  Set the value of query.

  Parameters:
    `fieldValue` - Value to assign to query.

### getFieldStatus

    public java.lang.String getFieldStatus()

  Get the status of form field

  Returns:
    Status of query.

### setFieldStatus

    public void setFieldStatus(java.lang.String fieldStatus)

  Set the status of query.

  Parameters:
    `filedStatus` - Value to assign to query.

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved